clear all
close all
Iavanti(1) = 1/e;
Iriferimento(1) = 1/e;
N = 30;
for n = 2:N
  Iavanti(n) = 1-n*Iavanti(n-1);
  Iriferimento(n) = quad(@(x)integranda(x,n),0,1);
end
Iindietro(2*N) = 0;
for n = 2*N-1:-1:1
  Iindietro(n) = (1-Iindietro(n+1))/(n+1);
end
semilogy([1:N],abs(Iavanti-Iriferimento),'*',...
[1:N],abs(Iindietro(1:N)-Iriferimento),'o')
legend('successione avanti','successione indietro')

